Package org.apache.commons.imaging.common

## Class BinaryFileParser

- java.lang.Object
- - org.apache.commons.imaging.common.BinaryFileParser

- Direct Known Subclasses:
    `ExifRewriter`, `IccProfileParser`, `ImageParser`, `IptcParser`, `JpegDecoder`, `JpegRewriter`, `JpegUtils`, `JpegXmpParser`, `Segment`, `TiffReader`

      public class BinaryFileParser
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BinaryFileParser()` | Constructs a BinaryFileParser with the default, big-endian, byte order.
    `BinaryFileParser​(ByteOrder byteOrder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `debugNumber​(PrintWriter pw, String msg, int data, int bytes)` |
    `protected void` | `debugNumber​(String msg, int data, int bytes)` |
    `ByteOrder` | `getByteOrder()` |
    `protected void` | `setByteOrder​(ByteOrder byteOrder)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryFileParser

          public BinaryFileParser​(ByteOrder byteOrder)

    - #### BinaryFileParser

          public BinaryFileParser()

      Constructs a BinaryFileParser with the default, big-endian, byte order.

  - ### Method Detail

    - #### setByteOrder

          protected void setByteOrder​(ByteOrder byteOrder)

    - #### getByteOrder

          public ByteOrder getByteOrder()

    - #### debugNumber

          protected final void debugNumber​(String msg,
                                           int data,
                                           int bytes)

    - #### debugNumber

          protected final void debugNumber​(PrintWriter pw,
                                           String msg,
                                           int data,
                                           int bytes)